解决 This application requires Java Runtime Environment XX

      已经安装了 jdk ,并且设置好了 java 环境变量,CMD 运行 java 或 javac 都正常,其他依赖 jdk 的应用程序都能正常运行。但是在运行 jd-gui 1.1.0 的时候,出现错误提示“This application requires Java Runtime Environment 1.7”,很奇怪。但是考虑到,我并没有用 jdk 的安装包进行安装,而是直接使用了以前安装好的 jdk (通过安装包安装了 jdk 后,重新安装了操作系统,直接通过设置环境变量指向以前的 jdk文件夹),那么注册表中就没有 java 的相关信息,很可能有些程序直接是通过读取注册表判断 java 版本及相关信息,手动增加注册表信息(我使用的是64位的jdk)。

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft]

[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment]
"CurrentVersion"="1.8"

[HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment\1.8]
"JavaHome"="D:\\Java\\jdk1.8.0_64\\jre"
posted @ 2015-06-14 17:14  一起简单  Views(23602)  Comments(1Edit  收藏  举报